## rtpsbcpay rtpsbcpay |

## Properties

gint | min-frames | Read / Write

## Types and Values

struct | GstRtpSBCPay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRtpSBCPay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Thiago Sousa Santos <thiagoss@lcc.ufcg.edu.br>
class | Codec/Payloader/Network

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-sbc, rate=(int){ 16000, 32000, 44100, 48000 }, channels=(int)[ 1, 2 ], channel-mode=(string){ mono, dual, stereo, joint }, blocks=(int){ 4, 8, 12, 16 }, subbands=(int){ 4, 8 }, allocation-method=(string){ snr, loudness }, bitpool=(int)[ 2, 64 ]

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int){ 16000, 32000, 44100, 48000 }, encoding-name=(string)SBC

## Functions

## Types and Values

### struct GstRtpSBCPay

    struct GstRtpSBCPay;

## Property Details

### The `“min-frames”` property

      “min-frames”               gint

Minimum quantity of frames to send in one packet (-1 for maximum allowed by the mtu).

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: 0